# PetscObjectQueryLanguage

Returns a language specific interface to the given object

### Synopsis

    #include "petsc.h"
    PetscErrorCode PetscObjectQueryLanguage(PetscObject obj,PetscLanguage lang,void **ptr)

Not Collective

### Input Parameters

| obj | - the PETSc object Thus must be cast with a (PetscObject), for example, PetscObjectCompose((PetscObject)mat,...);
| lang | - one of PETSC_LANGUAGE_C, PETSC_LANGUAGE_F77, PETSC_LANGUAGE_CPP

### Output Parameter

ptr -the language specific interface

### See Also

PetscObjectQuery()

Level:developer
Location:src/sys/src/objects/inherit.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages